shishi_error_outputtype(3)

NAME
shishi_error_outputtype - API function

SYNOPSIS
#include <shishi.h>

int shishi_error_outputtype(Shishi * handle);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

DESCRIPTION
Reports the current output type used in message logging.

RETURN VALUE
Returns the output type. SHISHI_OUTPUTTYPE_NULL means no output. SHISHI_OUTPUTTYPE_STDERR and SHISHI_OUTPUTTYPE_SYSLOG direct text to the console, or to the syslog system.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.